require_relative 'zzlink/version'
require_relative 'zzlink/users'
require_relative 'zzlink/env'
require_relative 'zzlink/auth'

module Zzlink
  class << self
    # Get client of user service.
    # @return [Zzlink::Users] client of zzUsers service.
    def users
      Zzlink::Users.instance
    end

    # Get client of Env service.
    # @return [Zzlink::Env] client of zzEnv service.
    def env
      Zzlink::Env.instance
    end

    # Get helper of SSO service.
    # @return [Zzlink::Auth] helper of SSO service.
    def auth
      Zzlink::Auth.instance
    end
  end
end
